## xapian-core 1.0.20-2maemo1

=== debian/changelog ===
xapian-core (1.0.20-2maemo1) unstable; urgency=low

  * initial packaging of xapian for maemo based on lp:ubuntu/xapian-core rev15

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 09:19:43 +0000

xapian-core (1.0.20-2) unstable; urgency=medium

  * urgency=medium as 1.0.20-1 has already aged 7 days in testing and this is a
    tiny change making an obvious fix - it would be good to get 1.0.20 packages
    into testing before we try to transition to Xapian 1.2.
  * debian/patches/cursor-next-on-modified-table-fix.patch: Fix bug which
    manifests in notmuch 0.3.1 testsuite. (Closes: #579951)

 -- Olly Betts <olly@survex.com>  Wed, 05 May 2010 07:07:26 +0000

xapian-core (1.0.20-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Update "Suggests" of -dbg package (libgcc2-dbg removed;
    libstdc++6-4.4-dbg added).

 -- Olly Betts <olly@survex.com>  Wed, 28 Apr 2010 02:19:21 +0000

xapian-core (1.0.19-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Sun, 25 Apr 2010 05:07:07 +0000

xapian-core (1.0.18-1) unstable; urgency=low

  * New upstream release.
    + Includes fix for Xapian ticket#250.  Closes: #564830

 -- Olly Betts <olly@survex.com>  Sun, 14 Feb 2010 12:17:31 +0000

xapian-core (1.0.17+svn13879-1) experimental; urgency=low

  * Snapshot from upstream branches/1.0 including patch for Xapian ticket#250.
  * debian/control.in:
    + Remove "DM-Upload-Allowed: yes" as I'm now a DD.
    + Add "Vcs-Browser:" and "Vcs-svn:".
    + Standards-Version: 3.8.4 (no changes required).
    + Add '${misc:Depends}' for xapian-doc to placate lintian.
  * debian/rules: Update licence boilerplate from GPLv2+ to MIT/X.
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Tue, 02 Feb 2010 11:21:32 +0000

xapian-core (1.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 19 Nov 2009 04:05:59 +0000

xapian-core (1.0.16-3) unstable; urgency=low

  * The lsof probing reveals that the fd ulimit problem isn't due to extra
    fds being open, so remove it as it has served its purpose, and instead
    just disable the fd ulimit for now.

 -- Olly Betts <olly@survex.com>  Mon, 14 Sep 2009 06:19:30 +0100

xapian-core (1.0.16-2) unstable; urgency=low

  * Add build dependency on lsof which the new fd ulimit patch uses.

 -- Olly Betts <olly@survex.com>  Sun, 13 Sep 2009 11:04:09 +0100

xapian-core (1.0.16-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Force nocheck into DEB_BUILD_OPTIONS on avr32 to try to stop
    the build from timing out.
  * debian/README.source: Added.
  * debian/patches: Replace the patch to disable the fd ulimit on alpha with
    one to use lsof to report and count the number of already open fds, and
    then add this number to the limit we were going to set.

 -- Olly Betts <olly@survex.com>  Sat, 12 Sep 2009 14:18:31 +0100

xapian-core (1.0.15-2) unstable; urgency=low

  * debian/rules: Include /usr/share/quilt/quilt.make much earlier so that
    QUILT_STAMPFN is actually set when we try to use it.  This means that
    the patch(es) will actually be applied (presumably 1.0.14-2 built on
    alpha just by luck).
  * debian/rules: Build with "-g" so that the -dbg package is more useful.
  * debian/rules: Disable optimisation for avr32 in the hope that will avoid
    the build failing with "Took too long".
  * debian/rules: Add -ffloat-store for i386-hurd to try to get topercent2 to
    pass.

 -- Olly Betts <olly@survex.com>  Fri, 28 Aug 2009 05:09:14 +0000

xapian-core (1.0.15-1) unstable; urgency=low

  * New upstream release.
  * xapian-tools now depends on the same version of libxapian15 to avoid
    problems with some undocumented symbols xapian-compact uses.
  * Fix typo in package description.
  * debian/rules: Set DEB_HOST_ARCH by calling dpkg-architecture if it isn't
    already set so that behaviour is the same when running debian/rules "by
    hand".
  * debian/control.in: Standards-Version: 3.8.3 (no changes required).
  * debian/patches/runtest-no-fd-ulimit-on-alpha.patch: Add a description of
    the patch.

 -- Olly Betts <olly@survex.com>  Thu, 27 Aug 2009 03:17:52 +0100

xapian-core (1.0.14-2) unstable; urgency=medium

  * "urgency=medium" as 1.0.14-1 has aged 5 days and only FTBFS on alpha
    because of a new ulimit in the testsuite in 1.0.14-1.
  * debian/rules,debian/control.in,debian/patches/series: Add support for
    managing patches with quilt, but only add quilt as a build dependency
    if there are patches.  Also autogenerate the versioned dependency on
    debhelper using debian/compat.
  * debian/patches/runtest-no-fd-ulimit-on-alpha.patch: Fix FTBFS on alpha
    by disabling the new fd ulimit in the test harness on that architecture.

 -- Olly Betts <olly@survex.com>  Wed, 05 Aug 2009 02:53:41 +0000

xapian-core (1.0.14-1) unstable; urgency=low

  * New upstream release.
    + debian/patch: Changes included upstream so remove.
  * debian/control.in: Standards-Version: 3.8.2 (no changes required).
  * debian/control.in: Update required debhelper version.
  * debian/copyright: Update for the MIT/X relicensing of the serialise-double
    code.
  * debian/rules: Explicitly disable use of valgrind for the testsuite -
    otherwise if someone builds their own package with valgrind installed (as
    developer boxes often do), the test suite run will take a really long
    time.

 -- Olly Betts <olly@survex.com>  Thu, 30 Jul 2009 03:01:21 +0100

xapian-core (1.0.13-3) unstable; urgency=low

  * debian/patch: Backport more testsuite patches from upstream SVN:
    + Don't bother trying to count CPU time for child processes, as it's hard
      to ensure that the child processes have finished with the current
      framework, and just counting time in the current process checks most
      things (the local backend tests cover much of the work done by the
      server part of the remote backend).

