## xapian-core 1.0.20-2maemo2

=== debian/changelog ===
xapian-core (1.0.20-2maemo2) unstable; urgency=low

  * initial packaging of xapian for maemo based on lp:ubuntu/xapian-core rev15

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 09:23:45 +0000
