=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Markus Korn <thekorn@gmx.de>
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5), quilt, autotools-dev, zlib1g-dev
 Homepage: http://xapian.org/
