## xapian-core 1.2.3

=== debian/changelog ===
xapian-core (1.2.3-2) unstable; urgency=low

  * Only include debug symbols for the shared library in the debug package
    (Closes: #594455).

 -- Olly Betts <olly@survex.com>  Thu, 26 Aug 2010 07:10:51 +0000

xapian-core (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/control.in:
    + Standards-Version: 3.9.1 (no changes required).
  * debian/patches/check-select-errors.patch: Drop, merged upstream.

 -- Olly Betts <olly@survex.com>  Tue, 24 Aug 2010 11:18:50 +0000

xapian-core (1.2.2-4) experimental; urgency=low

  * Add patch check-select-errors.patch which will hopefully fix erratic FTBFS
    on alpha and mipsel, or at least help to debug them.

 -- Olly Betts <olly@survex.com>  Wed, 07 Jul 2010 12:06:07 +0000

xapian-core (1.2.2-3) experimental; urgency=low

  * The special case code to add 'usr/lib/sse2' to libxapian22.install doesn't
    work as this file is generated when the source package is made, not at
    binary package build time.  Instead use 'usr/lib/{,sse2}/libxapian.so.*'
    which will package the sse2 version if it has been built, and won't give
    an error if it doesn't.

 -- Olly Betts <olly@survex.com>  Wed, 07 Jul 2010 03:04:44 +0000

xapian-core (1.2.2-2) experimental; urgency=low

  * debian/rules: Fix typo in handling sse2 variant on i386/*-i386.

 -- Olly Betts <olly@survex.com>  Tue, 06 Jul 2010 16:19:40 +0000

xapian-core (1.2.2-1) experimental; urgency=low

  * New upstream release:
    + debian/patches: All patches incorporated upstream, so remove.
    + Package new upstream cmake support files in libxapian-dev.
  * Drop quilt dependencies now we're using source format "3.0 (quilt)".
  * On i386 and *-i386, build both SSE2 and i386 versions of the library.  The
    main motivation is correctness (upstream now defaults to using SSE because
    excess precision from 387 FP instructions can cause inconsistencies in
    weight calculations) but the SSE2 build is faster too (~6%).
  * debian/rules: Try re-enabling optimisation on alpha - it's been more
    than a year.
  * debian/rules: Use dh_prep instead of dh_clean -k.

 -- Olly Betts <olly@survex.com>  Tue, 06 Jul 2010 13:33:37 +0000

xapian-core (1.2.0-3) experimental; urgency=low

  * debian/patches/ftbfs-on-hurd-fix.patch: Fix FTBFS on hurd due to SA_SIGINFO
    not being defined.
  * debian/patches/cursor-next-on-modified-table-fix-1.2.patch: Fix bug which
    manifests in notmuch 0.3.1 testsuite. (Closes: #579951)
  * Update to require dh7 and use dh compact level 7.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Olly Betts <olly@survex.com>  Wed, 05 May 2010 09:49:36 +0000

xapian-core (1.2.0-2) experimental; urgency=low

  * debian/patches/fix-header-installation-location.patch: Fix installation
    location of headers.
  * debian/rules: Empty dependency_libs in .la file.

 -- Olly Betts <olly@survex.com>  Mon, 03 May 2010 02:04:37 +0000

xapian-core (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: Update "Suggests" of -dbg package (libgcc2-dbg and
    libstdc++6-4.0-dbg removed; libstdc++6-4.4-dbg added).

 -- Olly Betts <olly@survex.com>  Thu, 29 Apr 2010 07:33:26 +0000

xapian-core (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/runtest-no-fd-ulimit.patch: Drop patch - upstream now has
    fd leak checking in the test harness and has removed the ulimit.
  * debian/control.in:
    + Drop conflict on libxapian2 as that's too ancient to be relevant now.
    + Just use ${binary:Version} - sarge has reached EOL and I'm not intending
      to backport 1.1.x to dapper.
    + Add uuid-dev as a build dependency.

 -- Olly Betts <olly@survex.com>  Sat, 24 Apr 2010 07:51:31 +0000
