=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Markus Korn <thekorn@gmx.de>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), quilt, autotools-dev, zlib1g-dev
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
-Vcs-Browser: http://trac.xapian.org/browser/branches/1.0/xapian-core
-Vcs-svn: svn://svn.xapian.org/xapian/branches/1.0/xapian-core
+Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
+Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-core
 
-Package: libxapian15
+Package: libxapian22
 Architecture: any
 Section: libs
 Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
-Conflicts: libxapian2
 Description: Search engine library
  This package contains the core Xapian runtime library.
  .
@@ -26,12 +25,12 @@
  update and searching.  It is highly scalable, and is capable of working with
  collections containing hundreds of millions of documents.
 
-Package: libxapian15-dbg
+Package: libxapian22-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxapian15 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: libc-dbg, libgcc1-dbg | libgcc4-dbg, zlib1g-dbg, libstdc++6-4.4-dbg | libstdc++6-4.3-dbg | libstdc++6-4.2-dbg | libstdc++6-4.1-dbg | libstdc++6-4.0-dbg
+Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Suggests: libc-dbg, libgcc1-dbg | libgcc4-dbg, zlib1g-dbg, libstdc++6-4.4-dbg | libstdc++6-4.3-dbg | libstdc++6-4.2-dbg | libstdc++6-4.1-dbg
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
  .
@@ -46,7 +45,7 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
-Depends: libxapian15 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -63,7 +62,7 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
-Depends: libxapian15 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.
