=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -24,15 +24,7 @@
 # Codename we're building packages for.  For backported packages, put the
 # codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
 # exist, the default is sid.
-CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
-
-# ${binary:Version} was added after sarge and dapper, so use the old name for
-# it (${Source-Version}) there.
-ifneq ($(findstring .$(CODENAME)., .sarge.dapper.), )
-BINARY_VERSION := $${Source-Version}
-else
-BINARY_VERSION := $${binary:Version}
-endif
+# CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
 
 # The soversion number needs to match that generated by libtool.  The following
 # lines should read configure.ac to get the current interface number and
@@ -57,18 +49,15 @@
 confflags := --prefix=/usr --sysconfdir=/etc
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
     confflags += --build $(DEB_HOST_GNU_TYPE)
-    ifeq ($(DEB_HOST_ARCH), alpha)
-	# The alpha buildd is failing with a SEGV while trying to skip testcase
-	# nomoredocids1 for the inmemory backend.  Skipping works by throwing
-	# an exception so this smells like a toolchain bug to me.  Disabling
-	# optimisation seems to avoid this (and fixes a SEGV in the generated
-	# code for firefox #503051).
-	DEB_BUILD_OPTIONS += noopt
-    endif
 else
     confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
     # Disable the testsuite when cross-compiling.
     DEB_BUILD_OPTIONS += nocheck
+endif
+
+# For i386 and *-i386.
+ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
+    XAPIAN_BUILD_SSE := 1
 endif
 
 ifeq ($(DEB_HOST_ARCH), avr32)
@@ -79,12 +68,6 @@
 
 CFLAGS :=
 CXXFLAGS := -g
-
-ifeq ($(DEB_HOST_ARCH), hurd-i386)
-    # Testcase topercent2 fails without -ffloat-store - smells like an excess
-    # precision issue.
-    CXXFLAGS += -ffloat-store
-endif
 
 # Handle DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us.
 
@@ -121,14 +104,13 @@
 	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
 	rm -rf debian/xapian-doc
 	rm -rf debian/xapian-tools
-	rm -rf debian/tmp
-
-debian/control: debian/rules debian/control.in debian/compat debian/patches/series
+	rm -rf debian/tmp debian/tmp-sse2
+
+debian/control: debian/rules debian/control.in debian/compat
 	rm -f debian/control.tmp
 	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
 	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
-	    -e 's/@BINARY_VERSION@/$(BINARY_VERSION)/g' \
-	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),$(shell grep -qv '^#' debian/patches/series && echo " quilt,")/g' \
+	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
 
@@ -138,21 +120,15 @@
 debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
 	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install
 
-# Include quilt's fragment if it is installed.
--include /usr/share/quilt/quilt.make
-
-# Dummy patch and unpatch targets in case quilt isn't installed.
-patch unpatch:
-
 configure: configure-stamp
-configure-stamp: $(QUILT_STAMPFN) debian/control
+configure-stamp: debian/control
 	dh_testdir
 
 	# Use the latest config.sub and config.guess from the autotools-dev
 	# package.
-	# rm -f config.sub config.guess
-	# ln -s /usr/share/misc/config.sub config.sub
-	# ln -s /usr/share/misc/config.guess config.guess
+	rm -f config.sub config.guess
+	ln -s /usr/share/misc/config.sub config.sub
+	ln -s /usr/share/misc/config.guess config.guess
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
 	# updated from buildd logs.
@@ -161,7 +137,13 @@
 
 	# Configure in a subdirectory, for neatness.
 	mkdir -p build
+ifdef XAPIAN_BUILD_SSE
+	cd build && ../configure $(confflags) --disable-sse
+	mkdir -p build-sse2
+	cd build-sse2 && ../configure $(confflags) --disable-static
+else
 	cd build && ../configure $(confflags)
+endif
 
 	# Touch the stamp file, to avoid repeating the configure step.
 	touch $@
@@ -170,7 +152,12 @@
 build-stamp: configure
 	dh_testdir
 	$(MAKE) -C build
+ifdef XAPIAN_BUILD_SSE
+	$(MAKE) -C build-sse2
+	$(MAKE_CHECK) -C build-sse2
+else
 	$(MAKE_CHECK) -C build
+endif
 	touch $@
 
 install: DH_OPTIONS=
@@ -179,11 +166,20 @@
 	 debian/libxapian$(libxapian_dev_soversion)-dev.install
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Install the files into debian/tmp
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
+ifdef XAPIAN_BUILD_SSE
+	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
+	mkdir $(CURDIR)/debian/tmp/usr/lib/sse2
+	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/tmp/usr/lib/sse2
+	rm -rf $(CURDIR)/debian/tmp-sse2
+endif
+
+	# Empty dependency_libs to placate luddite release goal.
+	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/libxapian.la
 
 	# Install the example source code
 	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
@@ -220,4 +216,14 @@
 	dh_installmenu
 	dh_installman
 	dh_installchangelogs ChangeLog
+	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
+	# Only keep debug symbols for the shared library.
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/lib/xapian-examples
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/bin
+	:
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_makeshlibs
+	dh_installdeb
