## xapian-core 1.2.4

=== debian/changelog ===
xapian-core (1.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Tue, 21 Dec 2010 07:32:14 +0000
