## xapian-core 1.2.5

=== debian/changelog ===
xapian-core (1.2.5-1ubuntu1) oneiric; urgency=low

  * debian/patches/cjk-ngram-applied-to-1.2-branch.patch: add support for CJK
    input methods by adding a tokenizer for CJK. (LP: #833172)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 19:29:01 -0400

xapian-core (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Fix up link to the internal sourcedocs in internals.html to point to those
    on the Xapian website.

 -- Olly Betts <olly@survex.com>  Wed, 06 Apr 2011 02:19:10 +0000
