=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
