=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.1
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
