=== debian/rules ===
--- 
+++ 
@@ -148,7 +148,9 @@
 	# Touch the stamp file, to avoid repeating the configure step.
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure
 	dh_testdir
 	$(MAKE) -C build
@@ -222,4 +224,3 @@
 	dh_installchangelogs ChangeLog
 	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
-	# Only keep debug symbols for the shared library.
